0

python3.x compatibility?

I know the docs say that shotgun will "eventually" support python 3.x.  Since the shotgun module is just making JSON-RPC calls, it doesn't feel like it would require an enormous effort.

We have servers running python 3.2(.3) for stability and robustness, as well as performance.  It would be really helpful for us to have a python 3.2 friendly shotgun module for those servers to coordinate with the shotgun database.  On the desktop, it doesn't matter nearly as much.

Is there a timetable?

Thanks.

1件のコメント

  • 0
    Avatar
    Mason

    Hi Mayur

    We don’t have a timetable for Python 3 support, as yet.
    Given the other exciting development projects we’re currently working on, we’ve decided to continue with Python 2.x, at least until the end of this year, but plan on reassessing our roadmap early in 2013.

    Cheers, 

    Mason. 

サインインしてコメントを残してください。